Compare commits

..

2 commits

Author SHA1 Message Date
Brian C. Lane
65543128cb - New release: 35.5 (bcl)
- docs: Explain how to undo blueprints delete (bcl)
- test: server status no longer returns devel (bcl)
- Use GetFrozenBlueprintsTOML for blueprints freeze save (bcl)
- Add a test for float uid/gid in frozen blueprint (bcl)
- Use GetBlueprintsTOML for blueprints save (bcl)
- test: Add a test for float uid/gid in saved blueprint (bcl)
- build(deps): bump github.com/BurntSushi/toml from 0.4.1 to 1.0.0 (49699333+dependabot[bot])
- tests: trigger on push to main (jrusz)
- build(deps): bump github.com/spf13/cobra from 1.2.1 to 1.3.0 (49699333+dependabot[bot])
- ci: add keystore for sonarqube (jrusz)
- spec: Switch to using %gobuild macro on Fedora (bcl)
- ci: change workflow name (jrusz)
- ci: add gitlab-ci and sonarqube (jrusz)
- doc: fix example links from the README (tdecacqu)
- build(deps): bump actions/checkout from 2.3.4 to 2.4.0 (49699333+dependabot[bot])
- ci: Enable Coverity Scan tool (atodorov)
2022-02-15 09:47:27 -08:00
Brian C. Lane
d67f450dc8 - New release: 35.4 (bcl)
- test: More detailed error for test compose failure (bcl)
- weldr: Return a helpful error for socket problems (bcl)
- spec: Add build flags to composer-cli-test build cmdline (bcl)
2021-11-04 15:47:42 -07:00
8 changed files with 26 additions and 181 deletions

View file

@ -1 +0,0 @@
1

27
.gitignore vendored
View file

@ -1,32 +1,5 @@
/gpg-117E8C168EFE3A7F.key
/weldr-client-35.1.tar.gz
/weldr-client-35.2.tar.gz
/weldr-client-35.2.tar.gz.asc
/weldr-client-35.3.tar.gz
/weldr-client-35.3.tar.gz.asc
/weldr-client-35.4.tar.gz
/weldr-client-35.4.tar.gz.asc
/weldr-client-35.5.tar.gz
/weldr-client-35.5.tar.gz.asc
/weldr-client-35.6.tar.gz
/weldr-client-35.6.tar.gz.asc
/weldr-client-35.7.tar.gz
/weldr-client-35.7.tar.gz.asc
/weldr-client-35.8.tar.gz
/weldr-client-35.8.tar.gz.asc
/weldr-client-35.9.tar.gz
/weldr-client-35.9.tar.gz.asc
/weldr-client-35.10.tar.gz
/weldr-client-35.10.tar.gz.asc
/weldr-client-35.11.tar.gz
/weldr-client-35.11.tar.gz.asc
/weldr-client-35.12.tar.gz
/weldr-client-35.12.tar.gz.asc
/weldr-client-35.13.tar.gz
/weldr-client-35.13.tar.gz.asc
/weldr-client-35.14.tar.gz
/weldr-client-35.14.tar.gz.asc
/weldr-client-36.0.tar.gz
/weldr-client-36.0.tar.gz.asc
/weldr-client-36.1.tar.gz
/weldr-client-36.1.tar.gz.asc

View file

@ -1,48 +0,0 @@
From 6815aa4a2a0b2bd376d0f6e072580a9c60086e3e Mon Sep 17 00:00:00 2001
From: "Brian C. Lane" <bcl@redhat.com>
Date: Thu, 14 Aug 2025 09:26:25 -0700
Subject: [PATCH] tests: Skip checking arch when testing sent body
The host architecture is included in the body of the request, skip
checking for the specific arch in order to keep the tests architecture
independent.
Related: RHEL-60137
---
cmd/composer-cli/projects/info_test.go | 4 +++-
cmd/composer-cli/projects/list_test.go | 4 +++-
2 files changed, 6 insertions(+), 2 deletions(-)
diff --git a/cmd/composer-cli/projects/info_test.go b/cmd/composer-cli/projects/info_test.go
index 3f9a85f..dd2a78c 100644
--- a/cmd/composer-cli/projects/info_test.go
+++ b/cmd/composer-cli/projects/info_test.go
@@ -457,7 +457,9 @@ func TestCmdProjectsInfoCloud(t *testing.T) {
sentBody, err := io.ReadAll(mcc.Req.Body)
assert.Nil(t, mcc.Req.Body.Close())
require.Nil(t, err)
- assert.Contains(t, string(sentBody), `{"distribution":"homer","architecture":"x86_64","packages":["tmux"]}`)
+ // NOTE: sentBody also contains arch specific architecture, skip checking that.
+ assert.Contains(t, string(sentBody), `"distribution":"homer"`)
+ assert.Contains(t, string(sentBody), `"packages":["tmux"]`)
assert.Equal(t, "application/json", mcc.Req.Header.Get("Content-Type"))
assert.Equal(t, "/api/image-builder-composer/v2/search/packages", mcc.Req.URL.Path)
}
diff --git a/cmd/composer-cli/projects/list_test.go b/cmd/composer-cli/projects/list_test.go
index b809224..386b793 100644
--- a/cmd/composer-cli/projects/list_test.go
+++ b/cmd/composer-cli/projects/list_test.go
@@ -363,7 +363,9 @@ func TestCmdProjectsListCloud(t *testing.T) {
sentBody, err := io.ReadAll(mcc.Req.Body)
assert.Nil(t, mcc.Req.Body.Close())
require.Nil(t, err)
- assert.Contains(t, string(sentBody), `{"distribution":"homer","architecture":"x86_64","packages":["*"]}`)
+ // NOTE: sentBody also contains arch specific architecture, skip checking that.
+ assert.Contains(t, string(sentBody), `"distribution":"homer"`)
+ assert.Contains(t, string(sentBody), `"packages":["*"]`)
assert.Equal(t, "application/json", mcc.Req.Header.Get("Content-Type"))
assert.Equal(t, "/api/image-builder-composer/v2/search/packages", mcc.Req.URL.Path)
}
--
2.50.1

View file

@ -1,7 +0,0 @@
--- !Policy
product_versions:
- fedora-*
decision_contexts: [bodhi_update_push_stable]
subject_type: koji_build
rules:
- !PassingTestCaseRule {test_case_name: fedora-ci.koji-build.tier0.functional}

View file

@ -1,10 +0,0 @@
summary: Run integration tests
prepare:
how: install
package:
- osbuild-composer
- weldr-client
- weldr-client-tests
- createrepo_c
execute:
script: ./tests/scripts/run_tests.sh ./tests/

View file

@ -1,3 +1,3 @@
SHA512 (weldr-client-36.1.tar.gz) = 52bac9879b73e3137d434a9c46a2914e0446ed63db14c9176cbd2a47aaf10a757a905a138401208958631237d354a7689035fd5a68297720431b212151eabd4d
SHA512 (weldr-client-36.1.tar.gz.asc) = 0d0fd65355356aaac2eb8052c182f619d8d7da5c6af164d7b3da97b2fc0b4435d6e4cff2b81914e99e8f094a518432dd0b769e28fba4c90b8a9453326d6b3f1a
SHA512 (gpg-117E8C168EFE3A7F.key) = cbbf218fe4427bd16f64b60cafd8c98bc3b073c25cfe2c19f03405ebfbf88ac05f0a3fa4e44afbbc514616b426008bc1e76b4e3ea49825a6ece4ad63638bb52b
SHA512 (weldr-client-35.5.tar.gz) = 81f4a97ce1f1081ea27d0f5e3513ef705586b5b29ff4f9047e067888af4784472c79203397aa8e567414f3e92a1b1fef55412d0e151adaef01f96cc5ec0cceb3
SHA512 (weldr-client-35.5.tar.gz.asc) = 3116b9481bf43eea82029b15bbc972341ef2cc9e73e97bf60490458085cba0f4fe0adb4651688101ffaa2e41f5f5f112a5a6555be3253d3666faf801e3d157cc
SHA512 (gpg-117E8C168EFE3A7F.key) = 9c760460e3227848c99a1178828512056ac04f518f98bdab5ef36d2aa31c4e5dcda3800d7141cfaf7f2acd0f7f35d4b9971083b6f14f8a36231b74041d4ed88d

View file

@ -1,67 +0,0 @@
#!/bin/bash
set -eux
FAILANY=0
function fail {
echo -e "\n\n#### ERROR: $1\n"
FAIL=1
FAILANY=1
}
function status {
if [ "$FAIL" -eq 0 ]; then
echo -e "\n\n#### PASS: $1\n"
else
echo -e "\n\n#### FAIL: $1\n"
fi
}
function running {
FAIL=0
echo -e "\n\n#### RUN: $1\n"
}
backend_start() {
export BACKEND="osbuild-composer"
systemctl start osbuild-composer.socket
RET=$?
if [ "$RET" -eq 0 ]; then
# wait for the backend to become ready
tries=0
until curl -m 15 --unix-socket /run/weldr/api.socket http://localhost:4000/api/status | grep 'db_supported.*true'; do
echo "#### INFO: Waiting for backend to become ready. Try $tries ..."
tries=$((tries + 1))
if [ $tries -gt 50 ]; then
fail "Backend taking too long to become ready"
# Log why starting osbuild-composer failed
journalctl -u osbuild-composer
exit 1
fi
sleep 10
done
else
fail "Unable to start composer backend (exit code $RET)"
# Log why starting osbuild-composer failed
journalctl -u osbuild-composer
exit $RET
fi
}
: ${1?"Usage: $0 TOPDIR"}
TOPDIR=$1
# What versions of things do we have installed?
rpm -q weldr-client osbuild osbuild-composer
composer-cli version || fail "Getting composer-cli version"
# Start osbuild-composer
backend_start
composer-cli status show || fail "Getting osbuild-composer status"
/usr/libexec/tests/composer-cli/composer-cli-tests -test.v || fail "Running integration tests"
exit $FAILANY

View file

@ -1,18 +1,16 @@
# Pass --without tests to skip building composer-cli-tests
%bcond_without tests
# Pass --with tests to rpmbuild to build composer-cli-tests
%bcond_with tests
# Pass --without signed to skip gpg signed tar.gz (DO NOT DO THAT IN PRODUCTION)
%bcond_without signed
%global goipath github.com/osbuild/weldr-client/v2
Name: weldr-client
Version: 36.1
Version: 35.5
Release: 1%{?dist}
# Upstream license specification: Apache-2.0
License: Apache-2.0
License: ASL 2.0
Summary: Command line utility to control osbuild-composer
%gometa
Url: %{gourl}
Source0: https://github.com/osbuild/weldr-client/releases/download/v%{version}/%{name}-%{version}.tar.gz
%if %{with signed}
@ -23,7 +21,7 @@ Source2: https://keys.openpgp.org/vks/v1/by-fingerprint/117E8C168EFE3A7F#/gpg-
Obsoletes: composer-cli < 35.0
Provides: composer-cli = %{version}-%{release}
Requires: diffutils
%gometa
BuildRequires: %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}
%if 0%{?fedora}
@ -117,8 +115,6 @@ make test
%package tests
Summary: Integration tests for composer-cli
Requires: createrepo_c
%description tests
Integration tests to be run on a pristine-dedicated system to test the
composer-cli package.
@ -130,12 +126,21 @@ composer-cli package.
%changelog
* Wed Oct 15 2025 Brian C. Lane <bcl@redhat.com> - 36.1-1
- New release: 36.1 (bcl)
- build(deps): bump actions/setup-go from 5 to 6 (49699333+dependabot[bot])
- build(deps): bump github.com/spf13/cobra from 1.9.1 to 1.10.1 (49699333+dependabot[bot])
- test: iot-qcow2-image does not support packages (bcl)
- test: qcow2 renamed to server-qcow2 (bcl)
- build(deps): bump github.com/stretchr/testify from 1.10.0 to 1.11.1 (49699333+dependabot[bot])
- build(deps): bump actions/checkout from 4 to 5 (49699333+dependabot[bot])
- tests: Use current host arch in info and list tests (bcl)
* Mon Feb 14 2022 Brian C. Lane <bcl@redhat.com> - 35.5-1
- New release: 35.5 (bcl)
- docs: Explain how to undo blueprints delete (bcl)
- test: server status no longer returns devel (bcl)
- Use GetFrozenBlueprintsTOML for blueprints freeze save (bcl)
- Add a test for float uid/gid in frozen blueprint (bcl)
- Use GetBlueprintsTOML for blueprints save (bcl)
- test: Add a test for float uid/gid in saved blueprint (bcl)
- build(deps): bump github.com/BurntSushi/toml from 0.4.1 to 1.0.0 (49699333+dependabot[bot])
- tests: trigger on push to main (jrusz)
- build(deps): bump github.com/spf13/cobra from 1.2.1 to 1.3.0 (49699333+dependabot[bot])
- ci: add keystore for sonarqube (jrusz)
- spec: Switch to using %%gobuild macro on Fedora (bcl)
- ci: change workflow name (jrusz)
- ci: add gitlab-ci and sonarqube (jrusz)
- doc: fix example links from the README (tdecacqu)
- build(deps): bump actions/checkout from 2.3.4 to 2.4.0 (49699333+dependabot[bot])
- ci: Enable Coverity Scan tool (atodorov)